Extending Qt Creator Manual | FunctionValue

Extending Qt Creator Manual 4.5.2

# FunctionValue Class

(QmlJS::FunctionValue)

Inherits: | QmlJS::ObjectValue

- List of all members, including inherited members

## Public Functions

| FunctionValue(ValueOwner *valueOwner)
| ~FunctionValue()
virtual const Value * | argument(int index) const
virtual QString | argumentName(int index) const
virtual bool | isVariadic() const
virtual int | namedArgumentCount() const
virtual int | optionalNamedArgumentCount() const
virtual const Value * | returnValue() const

## Reimplemented Public Functions

virtual void | accept(ValueVisitor *visitor) const override
virtual const FunctionValue * | asFunctionValue() const override

- 16 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### FunctionValue::FunctionValue(ValueOwner *valueOwner)

Default constructs an instance of FunctionValue.

### FunctionValue::~FunctionValue()

Destroys the instance of FunctionValue.

### `[override virtual]` void FunctionValue::accept(ValueVisitor *visitor) const

### `[virtual]` const Value *FunctionValue::argument(int index) const

### `[virtual]` QString FunctionValue::argumentName(int index) const

### `[override virtual]` const FunctionValue *FunctionValue::asFunctionValue() const

### `[virtual]` bool FunctionValue::isVariadic() const

### `[virtual]` int FunctionValue::namedArgumentCount() const

### `[virtual]` int FunctionValue::optionalNamedArgumentCount() const

### `[virtual]` const Value *FunctionValue::returnValue() const